<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Title</title>

    <style>
        div {
            border: 1px solid black;
            padding: 30px;
        }
    </style>
</head>
<body>

<div id="outer">
    <button id="inner">Hello</button>
</div>


<script>
    outer.onclick = function (event) {
        console.log("outer");
    }
    inner.onclick = function (event) {
        console.log("inner");
        event.stopPropagation();
    }
</script>
</body>
</html>